## pentobi 1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Pentobi)
set(PENTOBI_VERSION 1.0)

option(PENTOBI_BUILD_TESTS "Build unit tests" OFF)
option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
option(PENTOBI_BUILD_GUI "Build Qt-based GUI" ON)
option(PENTOBI_REGISTER_GNOME2_THUMBNAILER
  "Install files for registering thumbnailer for old versions of Gnome" ON)

# Use optimized build as default for CMAKE_BUILD_TYPE
if(NOT DEFINED CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")
  set(CMAKE_BUILD_TYPE Release CACHE STRING
      "Type of build (None Debug Release RelWithDebInfo MinSizeRel)"
      FORCE)
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-DLIBBOARDGAME_DEBUG)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
  add_definitions(-std=c++0x)
  add_definitions(-ffast-math)
endif()

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
  add_definitions(-D_SCL_SECURE_NO_WARNINGS)
endif()

# Define CMAKE_INSTALL_SYSCONFDIR  and CMAKE_INSTALL_FULL_SYSCONFDIR as in
# GNUInstallDirs (we don't use GNUInstallDirs yet because it requires CMake
# 2.8.5 and we require only CMake 2.8 so far.
if(NOT DEFINED CMAKE_INSTALL_SYSCONFDIR)
  set(CMAKE_INSTALL_SYSCONFDIR etc CACHE PATH
    "Unix etc directory (absolute path or relative to CMAKE_INSTALL_PREFIX)"
    FORCE)
endif()
if(NOT IS_ABSOLUTE ${CMAKE_INSTALL_SYSCONFDIR})
  set(CMAKE_INSTALL_FULL_SYSCONFDIR
    "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_SYSCONFDIR}")
else()
  set(CMAKE_INSTALL_FULL_SYSCONFDIR "${CMAKE_INSTALL_SYSCONFDIR}")
endif()

include(CheckIncludeFiles)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)

set(PENTOBI_BOOST_COMPONENTS system filesystem program_options)
if (PENTOBI_BUILD_GTP)
  set(PENTOBI_BOOST_COMPONENTS ${PENTOBI_BOOST_COMPONENTS} thread)
  # Package Threads is needed because some versions of CMake/FindBoost fail to
  # include -lpthread in Boost_LIBRARIES, which is required by libboost_thread.
  # (e.g. this occurs with CMake 2.8.4/MinGW 3.18). We solve this by adding
  # CMAKE_THREAD_LIBS_INIT to the link libraries.
  find_package(Threads)
endif()
# Boost versions that were not released when CMake 2.8 came out.
# You might have to update this list if you use a newer version of Boost.
set(Boost_ADDITIONAL_VERSIONS "1.45 1.45.0 1.46 1.46.0 1.46.1 1.47 1.47.0 1.48 1.48.0")
# Note: some versions of Boost cause compilation errors if
# used with certain versions of GCC and option -std=c++0x
# (e.g. the combinations GCC 4.4/Boost 1.40 in Ubuntu 10.04
# and GCC 4.4/Boost 1.42 in Debian 6.0 work but the combination
# GCC 4.5/Boost 1.42 in Ubuntu 11.04 causes errors).
find_package(Boost 1.40 REQUIRED COMPONENTS ${PENTOBI_BOOST_COMPONENTS})
if(MINGW AND Boost_USE_STATIC_LIBS)
  # Boost 1.45 static libs generate link errors with MinGW if
  # BOOST_THREAD_USE_LIB is not explicetly defined.
  add_definitions(-DBOOST_THREAD_USE_LIB)
endif()

if(NOT DEFINED LIBBOARDGAME_MCTS_VALUE_TYPE)
  set(LIBBOARDGAME_MCTS_VALUE_TYPE float)
endif()
configure_file(config-cmake.h.in config.h)
add_definitions(-DHAVE_CONFIG_H)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(PENTOBI_BUILD_TESTS)
  enable_testing()
endif()

if(PENTOBI_BUILD_GUI)
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
endif()

if (UNIX)
add_custom_target(dist
  COMMAND git archive --prefix=pentobi-${PENTOBI_VERSION}/ HEAD
  | gzip --best > ${CMAKE_BINARY_DIR}/pentobi-${PENTOBI_VERSION}.tar.gz
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

if (UNIX AND NOT APPLE)
  add_custom_target(post-install
    COMMAND update-desktop-database ${CMAKE_INSTALL_PREFIX}/share/applications
    COMMAND update-mime-database ${CMAKE_INSTALL_PREFIX}/share/mime
    COMMAND
    if test -f ${CMAKE_INSTALL_FULL_SYSCONFDIR}/gconf/schemas/pentobi.schemas\; then
      env GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
      gconftool-2 --makefile-install-rule
      ${CMAKE_INSTALL_FULL_SYSCONFDIR}/gconf/schemas/pentobi.schemas\;
    fi
  )
endif()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(windows_installer)

=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE)

  configure_file(pentobi.desktop.in pentobi.desktop @ONLY)
  configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
  install(FILES pentobi.png DESTINATION share/icons/hicolor/48x48/apps)
  install(FILES pentobi.svg DESTINATION share/icons/hicolor/scalable/apps)
  install(FILES application-x-blokus-sgf.png
    DESTINATION share/icons/hicolor/48x48/mimetypes)
  install(FILES application-x-blokus-sgf.svg
    DESTINATION share/icons/hicolor/scalable/mimetypes)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.desktop
    DESTINATION share/applications)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
    DESTINATION share/thumbnailers)
  install(FILES pentobi-mime.xml DESTINATION share/mime/packages)

  if(PENTOBI_REGISTER_GNOME2_THUMBNAILER)
    configure_file(pentobi.schemas.in pentobi.schemas @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.schemas
      DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/gconf/schemas)
  endif()

endif(UNIX AND NOT APPLE)

=== debian/changelog ===
pentobi (1.0-1) unstable; urgency=low

  * Initial release (Closes: #651789)

 -- Dean Evans <dean@codemonkies.net>  Sat, 10 Dec 2011 14:54:31 +1300

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dean Evans <dean@codemonkies.net>
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 libqt4-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 imagemagick,
 librsvg2-bin
Standards-Version: 3.9.2
Homepage: http://pentobi.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-games/pentobi.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/pentobi.git;a=summary

Package: pentobi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: clone of Blokus, a strategy board game based on the concept of polyominoes
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs. 
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining 
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.git:.gitignore

override_dh_auto_configure:
	dh_auto_configure -- -DPENTOBI_REGISTER_GNOME2_THUMBNAILER=OFF \
			-DPENTOBI_BUILD_TESTS=ON

override_dh_auto_build:
	convert -scale 32x32 data/pentobi.svg data/pentobi.xpm
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@ --parallel

## pentobi 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.8)
 project(Pentobi)
-set(PENTOBI_VERSION 1.0)
+set(PENTOBI_VERSION 1.1)
 
 option(PENTOBI_BUILD_TESTS "Build unit tests" OFF)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
@@ -19,7 +19,7 @@
   add_definitions(-DLIBBOARDGAME_DEBUG)
 endif()
 
-if(CMAKE_COMPILER_IS_GNUCXX)
+if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
   add_definitions(-std=c++0x)
   add_definitions(-ffast-math)
 endif()
@@ -60,7 +60,7 @@
 endif()
 # Boost versions that were not released when CMake 2.8 came out.
 # You might have to update this list if you use a newer version of Boost.
-set(Boost_ADDITIONAL_VERSIONS "1.45 1.45.0 1.46 1.46.0 1.46.1 1.47 1.47.0 1.48 1.48.0")
+set(Boost_ADDITIONAL_VERSIONS "1.45 1.45.0 1.46 1.46.0 1.46.1 1.47 1.47.0 1.48 1.48.0 1.49.0")
 # Note: some versions of Boost cause compilation errors if
 # used with certain versions of GCC and option -std=c++0x
 # (e.g. the combinations GCC 4.4/Boost 1.40 in Ubuntu 10.04

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
   configure_file(pentobi.desktop.in pentobi.desktop @ONLY)
   configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
-  install(FILES pentobi.png DESTINATION share/icons/hicolor/48x48/apps)
-  install(FILES pentobi.svg DESTINATION share/icons/hicolor/scalable/apps)
+  install(FILES ../src/pentobi/pentobi.png
+    DESTINATION share/icons/hicolor/48x48/apps)
+  install(FILES ../src/pentobi/pentobi.svg
+    DESTINATION share/icons/hicolor/scalable/apps)
   install(FILES application-x-blokus-sgf.png
     DESTINATION share/icons/hicolor/48x48/mimetypes)
   install(FILES application-x-blokus-sgf.svg

=== src/CMakeLists.txt ===
add_subdirectory(book)
add_subdirectory(libboardgame_sys)
add_subdirectory(libboardgame_util)
add_subdirectory(libboardgame_sgf)
add_subdirectory(libboardgame_base)
add_subdirectory(libpentobi_base)
add_subdirectory(libpentobi_mcts)

if (PENTOBI_BUILD_GTP)
  add_subdirectory(libboardgame_gtp)
  add_subdirectory(pentobi_gtp)
endif()

if (PENTOBI_BUILD_TESTS)
  add_subdirectory(libboardgame_test)
  add_subdirectory(unittest)
endif()

if (PENTOBI_BUILD_GUI)
  add_subdirectory(libpentobi_gui)
  add_subdirectory(pentobi_thumbnailer)
  add_subdirectory(pentobi)
endif()

=== doc/man/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
  configure_file(pentobi.6.in pentobi.6 @ONLY)
  configure_file(pentobi-thumbnailer.6.in pentobi-thumbnailer.6 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.6
    DESTINATION share/man/man6)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer.6
    DESTINATION share/man/man6)
endif(UNIX AND NOT APPLE)

=== src/book/CMakeLists.txt ===
# Install the opening book files. If you change the destination, you need to
# update the directory used in
# src/libpentobi_mcts/Player.cpp:Player::load_book()
install(FILES
  book_classic.blksgf
  book_classic_2.blksgf
  book_duo.blksgf
  book_trigon.blksgf
  book_trigon_2.blksgf
  book_trigon_3.blksgf
  DESTINATION share/games/pentobi)

=== src/libboardgame_base/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_base_STAT_SRCS
  CoordPoint.cpp
  Engine.cpp
  SpreadsheetStringRep.cpp
  Transform.cpp
  )

add_library(boardgame_base STATIC ${boardgame_base_STAT_SRCS})

=== src/libboardgame_sgf/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_sgf_STAT_SRCS
  InvalidPropertyValue.cpp
  MissingProperty.cpp
  Node.cpp
  Reader.cpp
  Tree.cpp
  TreeIterator.cpp
  TreeReader.cpp
  Util.cpp
  Writer.cpp
  )

add_library(boardgame_sgf STATIC ${boardgame_sgf_STAT_SRCS})

=== src/libboardgame_sys/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_sys_STAT_SRCS
  CpuTime.cpp
  )

add_library(boardgame_sys STATIC ${boardgame_sys_STAT_SRCS})

=== src/libboardgame_util/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_util_STAT_SRCS
  Abort.cpp
  Assert.cpp
  CpuTime.cpp
  Exception.cpp
  FastLog.cpp
  IntervalChecker.cpp
  Log.cpp
  Parameters.cpp
  RandomGenerator.cpp
  Statistics.cpp
  StringUtil.cpp
  TimeIntervalChecker.cpp
  Timer.cpp
  TimeSource.cpp
  WallTime.cpp
  )

add_library(boardgame_util STATIC ${boardgame_util_STAT_SRCS})

=== src/libpentobi_base/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(pentobi_base_STAT_SRCS
  Board.cpp
  BoardConst.cpp
  BoardUpdater.cpp
  BoardUtil.cpp
  Book.cpp
  Color.cpp
  Game.cpp
  GameStateHistory.cpp
  Piece.cpp
  Player.cpp
  PieceTransforms.cpp
  PieceTransformsClassic.cpp
  PieceTransformsTrigon.cpp
  PointState.cpp
  PointStateExt.cpp
  SymmetricPoints.cpp
  Tree.cpp
  )

if (PENTOBI_BUILD_GTP)
  set(pentobi_base_STAT_SRCS ${pentobi_base_STAT_SRCS}
    Engine.cpp
    )
endif()

add_library(pentobi_base STATIC ${pentobi_base_STAT_SRCS})

=== src/libpentobi_gui/CMakeLists.txt ===
include(${QT_USE_FILE})

include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(pentobi_gui_STAT_SRCS
  BoardPainter.cpp
  ComputerColorDialog.cpp
  GameInfoDialog.cpp
  GuiBoard.cpp
  GuiBoardUtil.cpp
  HelpWindow.cpp
  LineEdit.cpp
  OrientationDisplay.cpp
  PieceSelector.cpp
  SameHeightLayout.cpp
  ScoreDisplay.cpp
  Util.cpp
  )

set(pentobi_gui_MOC_HDRS
  ComputerColorDialog.h
  GameInfoDialog.h
  GuiBoard.h
  HelpWindow.h
  LineEdit.h
  OrientationDisplay.h
  PieceSelector.h
  SameHeightLayout.h
  ScoreDisplay.h
  )

set(pentobi_gui_RCS
  libpentobi_gui_resources.qrc
  )

set(pentobi_gui_TS
  libpentobi_gui_de.ts
  )

qt4_add_resources(pentobi_gui_RC_SRCS ${pentobi_gui_RCS})

qt4_add_translation(pentobi_gui_QM_SRCS ${pentobi_gui_TS})

qt4_wrap_cpp(pentobi_gui_MOC_SRCS ${pentobi_gui_MOC_HDRS})

add_library(pentobi_gui STATIC
  ${pentobi_gui_STAT_SRCS}
  ${pentobi_gui_MOC_SRCS}
  ${pentobi_gui_RC_SRCS}
  ${pentobi_gui_QM_SRCS})

# Install translation files. If you change the destination, you need to
# update the directory used in
# src/pentobi/Main.cpp:loadLibPentobiGuiTranslator()
install(FILES ${pentobi_gui_QM_SRCS} DESTINATION share/games/pentobi/translations)

=== src/libpentobi_mcts/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(pentobi_mcts_STAT_SRCS
  BookBuilder.cpp
  Player.cpp
  Search.cpp
  State.cpp
  )

add_library(pentobi_mcts STATIC ${pentobi_mcts_STAT_SRCS})

=== debian/changelog ===
pentobi (1.1-1) unstable; urgency=low

  * New upstream release.
  * Fix path for the moved svg image and consequently the install
    path for the converted xpm image. 
  * Bump compat to 9 for hardening flags.
  * Add workaround for cmake ignoring CPPFLAGS to enable hardening
    buildflags.
  * Build-Depend on debhelper v9.
  * Bump Standards-Version to 3.9.3 without change.
  * Add libqt4-svg to Depends.
  * Update copyright Format URL now that it is officially released.

 -- Dean Evans <dean@codemonkies.net>  Tue, 13 Mar 2012 23:59:11 +1300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dean Evans <dean@codemonkies.net>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
  cmake,
  libqt4-dev,
  libboost-system-dev,
@@ -11,14 +11,14 @@
  libboost-program-options-dev,
  imagemagick,
  librsvg2-bin
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pentobi.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-games/pentobi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/pentobi.git;a=summary
 
 Package: pentobi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-svg
 Description: clone of Blokus, a strategy board game based on the concept of polyominoes
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 #export DH_VERBOSE=1
 DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.git:.gitignore
 
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DPENTOBI_REGISTER_GNOME2_THUMBNAILER=OFF \
 			-DPENTOBI_BUILD_TESTS=ON
 
 override_dh_auto_build:
-	convert -scale 32x32 data/pentobi.svg data/pentobi.xpm
+	convert -scale 32x32 src/pentobi/pentobi.svg src/pentobi/pentobi.xpm
 	dh_auto_build
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
http://sf.net/pentobi/pentobi-(.*)\.tar\.gz

## pentobi 7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
# Use all lower-case for project name because it is used in
# CMAKE_INSTALL_DOCDIR of GNUInstallDirs
project(pentobi)
set(PENTOBI_VERSION 7.1)

include(CheckIncludeFiles)
include(GNUInstallDirs)

option(PENTOBI_BUILD_TESTS "Build unit tests" OFF)
option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
option(PENTOBI_BUILD_GUI "Build Qt-based GUI" ON)
option(PENTOBI_BUILD_KDE_THUMBNAILER
  "Build thumbnailer for KDE (also requires PENTOBI_BUILD_GUI)" OFF)
option(USE_BOOST_THREAD "Use Boost.Thread instead of std::thread" OFF)
option(USE_QT5 "Use Qt 5 instead of Qt 4" OFF)

if(NOT CMAKE_BUILD_TYPE)
  message(STATUS "No build type selected, default to Release")
  set(CMAKE_BUILD_TYPE "Release")
endif()
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-DLIBBOARDGAME_DEBUG)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    OR (CMAKE_CXX_COMPILER_ID MATCHES "Intel"))
  add_definitions(-std=c++11)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  add_definitions(-ffast-math)
endif()

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
  add_definitions(-D_SCL_SECURE_NO_WARNINGS)
endif()

if(MINGW)
  # -std=c++11 makes MinGW define __STRICT_ANSI__, which also hides
  # some functions that we use in some Windows-specific code, like fdopen()
  add_definitions(-U__STRICT_ANSI__)
  add_definitions(-DWINVER=0x0501)
  set(CMAKE_EXE_LINKER_FLAGS
    "${CMAKE_EXE_LINKER_FLAGS} -Wl,--large-address-aware")
endif()

check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)
check_include_files(sys/sysctl.h HAVE_SYS_SYSCTL_H)

# Set USE_BOOST_THREAD to use Boost.Thread instead of std::thread
# (e.g. with MinGW GCC 4.7, std::thread is not functional)
if(USE_BOOST_THREAD)
  set(PENTOBI_BOOST_COMPONENTS thread)
  # On MinGW, the thread library needs chrono (last tested with Boost 1.52)
  if (MINGW)
    set(PENTOBI_BOOST_COMPONENTS ${PENTOBI_BOOST_COMPONENTS} chrono)
  endif()
  # On MinGW or CLang 3.2/Linux, the thread library needs system (last tested
  # with Boost 1.52)
  if (MINGW OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    set(PENTOBI_BOOST_COMPONENTS ${PENTOBI_BOOST_COMPONENTS} system)
  endif()
  find_package(Boost 1.49 REQUIRED COMPONENTS ${PENTOBI_BOOST_COMPONENTS})
  if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost not found")
  endif()
  if(MINGW AND Boost_USE_STATIC_LIBS)
    # Boost static libs generate link errors with MinGW if BOOST_THREAD_USE_LIB
    # is not explicetly defined (last tested with Boost 1.52)
    add_definitions(-DBOOST_THREAD_USE_LIB)
  endif()
endif()
  
# -lpthread is needed on Unix but not automatically added to the compiler
# options if std::thread/GCC 4.7 or CMake/FindBoost on MinGW is used. We
# solve this by adding CMAKE_THREAD_LIBS_INIT to the link libraries.
find_package(Threads)

if(NOT DEFINED LIBPENTOBI_MCTS_FLOAT_TYPE)
  set(LIBPENTOBI_MCTS_FLOAT_TYPE float)
endif()

# Don't set the Pentobi data dirs on Windows. This is currently needed for
# building a version of Pentobi for the NSIS installer on Windows (see
# directory windows_installer) such that Pentobi will look for data dirs
# relative to the installation directory. (It breaks installing Pentobi on
# Windows with "make install" but we don't support that on Windows anyway.)
if(UNIX)
  if(NOT DEFINED PENTOBI_BOOKS_DIR)
    set(PENTOBI_BOOKS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/pentobi/books")
  endif()
  if(NOT DEFINED PENTOBI_MANUAL_DIR)
    set(PENTOBI_MANUAL_DIR "${CMAKE_INSTALL_FULL_DOCDIR}/manual")
  endif()
  if(NOT DEFINED PENTOBI_TRANSLATIONS)
    set(PENTOBI_TRANSLATIONS
      "${CMAKE_INSTALL_FULL_DATADIR}/pentobi/translations")
  endif()
endif(UNIX)

configure_file(config.h.in config.h)
add_definitions(-DHAVE_CONFIG_H)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(PENTOBI_BUILD_TESTS)
  enable_testing()
endif()

if(PENTOBI_BUILD_GUI)
  if (USE_QT5)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Concurrent REQUIRED)
    find_package(Qt5LinguistTools REQUIRED)
  else()
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  endif()
endif()

add_custom_target(dist
  COMMAND git archive --prefix=pentobi-${PENTOBI_VERSION}/ HEAD
  | gzip --best > ${CMAKE_BINARY_DIR}/pentobi-${PENTOBI_VERSION}.tar.gz
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target(post-install
  COMMAND
  update-desktop-database ${CMAKE_INSTALL_DATAROOTDIR}/applications\;
  update-mime-database ${CMAKE_INSTALL_DATAROOTDIR}/mime\;
  )

install(FILES README NEWS COPYING doc/blksgf/Pentobi-SGF.html
  DESTINATION ${CMAKE_INSTALL_DOCDIR})

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(windows_installer)

=== src/libpentobi_gui/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)

if (NOT USE_QT5)
  include(${QT_USE_FILE})
endif()

include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(pentobi_gui_STAT_SRCS
  BoardPainter.cpp
  ComputerColorDialog.cpp
  GameInfoDialog.cpp
  GuiBoard.cpp
  GuiBoardUtil.cpp
  HelpWindow.cpp
  InitialRatingDialog.cpp
  LeaveFullscreenButton.cpp
  LineEdit.cpp
  OrientationDisplay.cpp
  PieceSelector.cpp
  SameHeightLayout.cpp
  ScoreDisplay.cpp
  Util.cpp
  )

set(pentobi_gui_RCS
  libpentobi_gui_resources.qrc
  )

set(pentobi_gui_TS
  libpentobi_gui_de.ts
  libpentobi_gui_en_CA.ts
  libpentobi_gui_en_GB.ts
  )

if (USE_QT5)
  qt5_add_resources(pentobi_gui_RC_SRCS ${pentobi_gui_RCS})
  qt5_add_translation(pentobi_gui_QM_SRCS ${pentobi_gui_TS})
else()
  qt4_add_resources(pentobi_gui_RC_SRCS ${pentobi_gui_RCS})
  qt4_add_translation(pentobi_gui_QM_SRCS ${pentobi_gui_TS})
endif()

add_library(pentobi_gui STATIC
  ${pentobi_gui_STAT_SRCS}
  ${pentobi_gui_MOC_SRCS}
  ${pentobi_gui_RC_SRCS}
  ${pentobi_gui_QM_SRCS})

if (USE_QT5)
  qt5_use_modules(pentobi_gui Widgets)
endif()

# Install translation files. If you change the destination, you need to
# update the default for PENTOBI_TRANSLATIONS in the main CMakeLists.txt
install(FILES ${pentobi_gui_QM_SRCS}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pentobi/translations)

=== src/pentobi/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)

if (NOT USE_QT5)
  include(${QT_USE_FILE})
endif()

include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(pentobi_SRCS
  AnalyzeGameWidget.cpp
  AnalyzeGameWindow.cpp
  AnalyzeSpeedDialog.cpp
  Application.cpp
  ExportImage.cpp
  MainWindow.cpp
  Main.cpp
  RatedGamesList.cpp
  RatingDialog.cpp
  RatingHistory.cpp
  RatingGraph.cpp
  ShowMessage.cpp
  Util.cpp
  )

set(pentobi_RCS
  resources.qrc
  )

set(pentobi_TS
  pentobi.ts
  pentobi_de.ts
  pentobi_en_CA.ts
  pentobi_en_GB.ts
  )

link_directories(${Boost_LIBRARY_DIRS})

if (USE_QT5)
  qt5_add_resources(pentobi_RC_SRCS ${pentobi_RCS})
  qt5_add_translation(pentobi_QM_SRCS ${pentobi_TS})
else()
  qt4_add_resources(pentobi_RC_SRCS ${pentobi_RCS})
  qt4_add_translation(pentobi_QM_SRCS ${pentobi_TS})
endif()

if (MINGW)
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
    COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
    -i${CMAKE_CURRENT_SOURCE_DIR}/icon.rc
    -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
  set(pentobi_SRCS ${pentobi_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
else()
  set(pentobi_SRCS ${pentobi_SRCS} icon.rc)
endif()

add_executable(pentobi WIN32
  ${pentobi_SRCS}
  ${pentobi_MOC_SRCS}
  ${pentobi_QM_SRCS}
  ${pentobi_RC_SRCS}
  )

if (USE_QT5)
  qt5_use_modules(pentobi Widgets Concurrent)
endif()

target_link_libraries(pentobi
  pentobi_gui
  ${QT_LIBRARIES}
  pentobi_mcts
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_util
  boardgame_sys
  ${Boost_THREAD_LIBRARY}
  ${Boost_CHRONO_LIBRARY}
  ${Boost_SYSTEM_LIBRARY}
  ${CMAKE_THREAD_LIBS_INIT}
  )

if (WIN32)
target_link_libraries(pentobi
  ${QT_QTMAIN_LIBRARY}
  )
endif()

install(TARGETS pentobi DESTINATION ${CMAKE_INSTALL_BINDIR})

# Install translation files. If you change the destination, you need to
# update the default for PENTOBI_TRANSLATIONS in the main CMakeLists.txt
install(FILES ${pentobi_QM_SRCS}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pentobi/translations)

install(DIRECTORY manual DESTINATION ${CMAKE_INSTALL_DOCDIR}
  FILES_MATCHING PATTERN "*.css" PATTERN "*.html" PATTERN "*.png")

if(MSVC)
  configure_file(pentobi.conf.in Debug/pentobi.conf @ONLY)
  configure_file(pentobi.conf.in Release/pentobi.conf @ONLY)
else()
  configure_file(pentobi.conf.in pentobi.conf @ONLY)
endif()

=== debian/changelog ===
pentobi (7.1-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Update debian/copyright.
    + Add Upstream-Contact field.
    + Update copyright years.
    + Remove the Tango icons which Pentobi upstream is no longer shipping.
    + Add myself to packaging files’ copyright holders.
  * Fix path for the svg and generated xpm icons.
  * Improve debian/menu longtitle.
    Thanks to Bill Allombert, Chris Leick (Closes: #684476)
  * Don’t install upstream changelog twice.
  * Remove unneeded Build-Depends on boost libraries and Depends on libqt4-svg.
  * Use canonical Vcs-Git and Vcs-Browser URIs.
  * Fix CMake flags.
  * Register the user manuals with doc-base.
  * Replace duplicate files of en_CA and en_GB manuals with symlinks.
  * Unapply patches from source to ease package maintaining with git.
  * Add patches.
    + hyphen-used-as-minus-sign to fix manpage using hyphens as minus signs
    + desktop-entry-keywords to add Keywords to desktop entry
  * Remove installed COPYING file containing GPL-3.0+.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 25 Aug 2013 10:37:54 +0300

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dean Evans <dean@codemonkies.net>
+Uploaders: Dean Evans <dean@codemonkies.net>,
+ Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: debhelper (>= 9),
  cmake,
  libqt4-dev,
- libboost-system-dev,
- libboost-filesystem-dev,
- libboost-program-options-dev,
  imagemagick,
- librsvg2-bin
-Standards-Version: 3.9.3
+ librsvg2-bin,
+ rdfind,
+ symlinks
+Standards-Version: 3.9.4
 Homepage: http://pentobi.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-games/pentobi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/pentobi.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/pentobi.git;a=summary
 
 Package: pentobi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-svg
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: clone of Blokus, a strategy board game based on the concept of polyominoes
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.git:.gitignore

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=/usr/games \
			-DCMAKE_INSTALL_DATADIR=/usr/share/games \
			-DPENTOBI_BUILD_TESTS=ON

override_dh_auto_build:
	convert -scale 32x32 src/pentobi/icons/pentobi.svg \
			src/pentobi/icons/pentobi.xpm
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -f debian/pentobi/usr/share/doc/pentobi/COPYING
	# Replace duplicate files of en_CA and en_GB manuals with symlinks.
	rdfind -outputname /dev/null -makesymlinks true \
			debian/pentobi/usr/share/doc/pentobi/manual
	symlinks -r -s -c debian/pentobi/usr/share/doc/pentobi/manual

%:
	dh $@ --parallel

## pentobi 7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Use all lower-case for project name because it is used in
 # CMAKE_INSTALL_DOCDIR of GNUInstallDirs
 project(pentobi)
-set(PENTOBI_VERSION 7.1)
+set(PENTOBI_VERSION 7.2)
 
 include(CheckIncludeFiles)
 include(GNUInstallDirs)
@@ -126,8 +126,8 @@
 
 add_custom_target(post-install
   COMMAND
-  update-desktop-database ${CMAKE_INSTALL_DATAROOTDIR}/applications\;
-  update-mime-database ${CMAKE_INSTALL_DATAROOTDIR}/mime\;
+  update-mime-database ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mime\;
+  update-desktop-database ${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications\;
   )
 
 install(FILES README NEWS COPYING doc/blksgf/Pentobi-SGF.html

=== data/CMakeLists.txt ===
configure_file(pentobi.desktop.in pentobi.desktop @ONLY)
configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
install(FILES ../src/pentobi/icons/pentobi.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
install(FILES ../src/pentobi/icons/pentobi-16.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
  RENAME pentobi.png)
install(FILES ../src/pentobi/icons/pentobi-32.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
  RENAME pentobi.png)
install(FILES ../src/pentobi/icons/pentobi.svg
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
install(FILES application-x-blokus-sgf.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/mimetypes)
install(FILES application-x-blokus-sgf-16.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/mimetypes
  RENAME application-x-blokus-sgf.png)
install(FILES application-x-blokus-sgf.svg
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.desktop
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)
install(FILES pentobi-mime.xml
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)

=== doc/CMakeLists.txt ===
add_subdirectory(man)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_subdirectory(book)
+add_subdirectory(books)
 add_subdirectory(libboardgame_sys)
 add_subdirectory(libboardgame_util)
 add_subdirectory(libboardgame_sgf)
@@ -13,11 +13,17 @@
 
 if (PENTOBI_BUILD_TESTS)
   add_subdirectory(libboardgame_test)
+  add_subdirectory(libboardgame_test_main)
   add_subdirectory(unittest)
 endif()
 
 if (PENTOBI_BUILD_GUI)
   add_subdirectory(libpentobi_gui)
+  add_subdirectory(libpentobi_thumbnail)
   add_subdirectory(pentobi_thumbnailer)
   add_subdirectory(pentobi)
+  if(PENTOBI_BUILD_KDE_THUMBNAILER)
+    add_subdirectory(libpentobi_kde_thumbnailer)
+    add_subdirectory(pentobi_kde_thumbnailer)
+  endif()
 endif()

=== windows_installer/CMakeLists.txt ===
configure_file(install.nsis.in install.nsis @ONLY)

=== src/books/CMakeLists.txt ===
# Install the opening book files. If you change the destination, you need to
# update the default for PENTOBI_BOOKS_DIR in the main CMakeLists.txt
install(FILES
  book_classic.blksgf
  book_classic_2.blksgf
  book_duo.blksgf
  book_junior.blksgf
  book_trigon.blksgf
  book_trigon_2.blksgf
  book_trigon_3.blksgf
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pentobi/books)

=== src/libboardgame_base/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(boardgame_base_STAT_SRCS
   CoordPoint.cpp
   Engine.cpp
+  Rating.cpp
   SpreadsheetStringRep.cpp
   Transform.cpp
   )

=== src/libboardgame_gtp/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_gtp_STAT_SRCS
  Arguments.cpp
  CmdLine.cpp
  CmdLineRange.cpp
  Engine.cpp
  Response.cpp
  )

add_library(boardgame_gtp STATIC ${boardgame_gtp_STAT_SRCS})

=== src/libboardgame_sgf/CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,14 @@
 
 set(boardgame_sgf_STAT_SRCS
   InvalidPropertyValue.cpp
+  InvalidTree.cpp
   MissingProperty.cpp
   Node.cpp
   Reader.cpp
   Tree.cpp
   TreeIterator.cpp
   TreeReader.cpp
+  TreeWriter.cpp
   Util.cpp
   Writer.cpp
   )

=== src/libboardgame_sys/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 set(boardgame_sys_STAT_SRCS
   CpuTime.cpp
+  Memory.cpp
   )
 
 add_library(boardgame_sys STATIC ${boardgame_sys_STAT_SRCS})

=== src/libboardgame_test/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_test_STAT_SRCS
  Test.cpp
  )

add_library(boardgame_test STATIC ${boardgame_test_STAT_SRCS})

=== src/libboardgame_test_main/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
)

set(boardgame_test_main_STAT_SRCS
  Main.cpp
  )

add_library(boardgame_test_main STATIC ${boardgame_test_main_STAT_SRCS})

=== debian/changelog ===
pentobi (7.2-1) unstable; urgency=medium

  * New upstream release.
  * Import upstream GPG key for uscan to verify the orig tarball.
  * Build-Depend on g++-4.8 instead of g++ (>= 4:4.7) and export
    CXX=g++-4.8 to be able to build on arches with older default gcc.
  * Update copyright years.
  * Drop all patches; they have been applied upstream.
    - 0001-hyphen-used-as-minus-sign.patch
    - 0002-desktop-entry-keywords.patch
    - 0003-fix-RandomGenerator-compilation-error.patch

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 30 Jan 2014 20:25:26 +0200

pentobi (7.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add a patch to fix RandomGenerator compilation error.
  * Build-Depend on g++ >= 4:4.7 to avoid build failures caused by
    -std=c++11 option being unknown.
  * Install the file ’NEWS’ as ’changelog’.
  * Enable KDE thumbnailer.
  * Build a separate binary package for the KDE thumbnailer to avoid
    dependency on KDE libraries.
  * Shorten the too long short description.
  * Wrap and sort packaging files.
  * Generate PNG images from their SVG sources.
  * Remove workaround for cmake ignoring CPPFLAGS which isn’t needed any more.
  * Compile with -O3 to make the computationally expensive higher levels faster.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sat, 14 Dec 2013 20:26:55 +0200

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dean Evans <dean@codemonkies.net>,
           Juhani Numminen <juhaninumminen0@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               g++-4.8,
               imagemagick,
               inkscape,
               kdelibs5-dev,
               libqt4-dev,
               librsvg2-bin,
               rdfind,
               symlinks
Standards-Version: 3.9.5
Homepage: http://pentobi.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/pentobi.git;a=summary

Package: pentobi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: pentobi-kde-thumbnailer
Description: clone of the strategy board game Blokus
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

Package: pentobi-kde-thumbnailer
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin, konqueror
Description: clone of the strategy board game Blokus - KDE thumbnailer
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 This package contains a KDE plugin to display thumbnails of Pentobi game files.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.git:.gitignore

export CC  = gcc-4.8
export CXX = g++-4.8

# Optimize with O3 to make the computationally expensive higher levels faster.
export DEB_CXXFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_APPEND = -O3
# Link “as needed” to minimize the dependencies of the KDE thumbnailer on
# KDE libraries it doesn’t actually use.
export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

define \n


endef

pngs := $(subst .svg,.png,$(wildcard src/pentobi/icons/*.svg) \
		$(wildcard src/libboardgame_gui/icons/*.svg))

override_dh_auto_configure:
	rm -f $(pngs)
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=/usr/games \
			-DCMAKE_INSTALL_DATADIR=/usr/share/games \
			-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
			-DPENTOBI_BUILD_TESTS=ON

override_dh_auto_build:
	$(foreach png,$(pngs),inkscape -e $(png) $(subst .png,.svg,$(png)) $(\n))
	convert src/pentobi/icons/pentobi-32.png src/pentobi/icons/pentobi.xpm
	dh_auto_build

override_dh_install:
	rm -f debian/tmp/usr/share/doc/pentobi/COPYING
	mv debian/tmp/usr/share/doc/pentobi/NEWS \
			debian/tmp/usr/share/doc/pentobi/changelog
	dh_install
	# Replace duplicate files of en_CA and en_GB manuals with symlinks.
	rdfind -outputname /dev/null -makesymlinks true \
			debian/pentobi/usr/share/doc/pentobi/manual
	symlinks -r -s -c debian/pentobi/usr/share/doc/pentobi/manual

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/kde4/pentobi-thumbnail.so

%:
	dh $@ --parallel

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://sf.net/pentobi/pentobi-(.*)\.tar\.gz
